{ lib, pkgs, config,  ... }:
let
  cfg = config.myServices.websites.immae.temp;
  varDir = "/var/lib/ftp/temp.immae.eu";
  env = config.myEnv.websites.temp;
in {
  options.myServices.websites.immae.temp.enable = lib.mkEnableOption "enable Temp' website";

  config = lib.mkIf cfg.enable {
    services.websites.env.production.modules = [ "headers" ];
    services.websites.env.production.vhostConfs.temp = {
      certName    = "eldiron";
      addToCerts  = true;
      hosts       = [ "temp.immae.eu" ];
      root        = varDir;
      extraConfig = [
        ''
        Use Apaxy "${varDir}" "title .duplicity-ignore"
        <Directory "${varDir}">
          Options -Indexes
          AllowOverride None
          Require all granted
        </Directory>

        <DirectoryMatch "${varDir}/(.+)">
          Options Indexes
        </DirectoryMatch>
        ''
      ];
    };
  };
}

